declare module "cleave.js/dist/cleave-esm" {

    type CleaveOptions = import("cleave.js/options").CleaveOptions;
    type Cleave = import("cleave.js");

    class CleaveEsm implements Cleave {
        constructor(selector: string | HTMLElement, options: CleaveOptions);
        getRawValue(): string;
        setRawValue(value: string): void;
        getFormattedValue(): string;
        getISOFormatDate(): string;
        destroy(): void;
        setPhoneRegionCode(regionCode: string): void;
    }

    export default CleaveEsm;
}

